<?xml version="1.0" encoding="UTF-8"?>
<MGROUP desc_thai="ทะเบียนกลุ่มพนักงาน" desc_eng="Employee Group Table" editcheck="true" mainhelp="MGROUPHELP" referhelp="MGROUPHELP" mainkey="GROUPID" fieldsystem="*" protype="table" deleteflag="true" config_field="" dependlevel="true">
	<FIELD>
		<GROUPID lang="A" encrypt="N" log="false" type="String">
			<KEY>1</KEY>
			<WIDTH>15</WIDTH>
			<DESC_ENG>Employee Group ID</DESC_ENG>
			<DESC_THAI>รหัสกลุ่มพนักงาน</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_THAI>รหัสกลุ่มพนักงาน</ALT_THAI>
				<ALT_ENG>Employee Group ID</ALT_ENG>
			</COMPONENT>
			<REQUIRE>true</REQUIRE>
		</GROUPID>
		<TDESC lang="T" encrypt="false" log="false" type="String">
			<WIDTH>100</WIDTH>
			<REFER_LANG>EDESC</REFER_LANG>
			<DESC_ENG>Desc. (Thai)</DESC_ENG>
			<DESC_THAI>รายละเอียด(ไทย)</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>100</MAXSIZE>
				<SIZE>70</SIZE>
				<DISABLE>false</DISABLE>
				<ALT_THAI>รายละเอียด(ไทย)</ALT_THAI>
				<ALT_ENG>Desc. (Thai)</ALT_ENG>
			</COMPONENT>
			<REQUIRE>true</REQUIRE>
		</TDESC>
		<EDESC lang="E" encrypt="false" log="false" type="String">
			<WIDTH>100</WIDTH>
			<REFER_LANG>TDESC</REFER_LANG>
			<DESC_ENG>Desc. (Eng.)</DESC_ENG>
			<DESC_THAI>รายละเอียด(อังกฤษ)</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>100</MAXSIZE>
				<SIZE>70</SIZE>
				<DISABLE>false</DISABLE>
				<ALT_THAI>รายละเอียด(อังกฤษ)</ALT_THAI>
				<ALT_ENG>Desc. (Eng.)</ALT_ENG>
			</COMPONENT>
		</EDESC>
		<CONSOLIDATE lang="A" encrypt="N" log="false" type="String">
			<WIDTH>10</WIDTH>
			<DESC_ENG>Consolidate Code</DESC_ENG>
			<DESC_THAI>รหัสหน่วยงาน</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_THAI>รหัสหน่วยงาน</ALT_THAI>
				<ALT_ENG>Consolidate Code</ALT_ENG>
			</COMPONENT>
		</CONSOLIDATE>
		<COMPANYID lang="A" encrypt="false" log="false" type="String">
			<KEY>2</KEY>
			<WIDTH>5</WIDTH>
			<RELATION>MCOMPANY</RELATION>
			<DESC_ENG>Company ID</DESC_ENG>
			<DESC_THAI>รหัสบริษัท</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<DISABLE>true</DISABLE>
				<ALT_ENG>Company ID</ALT_ENG>
				<ALT_THAI>รหัสบริษัท</ALT_THAI>
			</COMPONENT>
		</COMPANYID>
	</FIELD>
	<RELATION>
		<MEMPLOYEE mode="0">
			<PARENT>MGROUP.GROUPID</PARENT>
			<PARENT>MGROUP.COMPANYID</PARENT>
			<CHILD>MEMPLOYEE.EMP_GROUP</CHILD>
			<CHILD>MEMPLOYEE.COMPANYID</CHILD>
		</MEMPLOYEE>
		<TTRAINEEREQ>
			<PARENT>MGROUP.GROUPID</PARENT>
			<PARENT>MGROUP.COMPANYID</PARENT>
			<CHILD>TTRAINEEREQ.EMP_GROUP</CHILD>
			<CHILD>TTRAINEEREQ.COMPANYID</CHILD>
		</TTRAINEEREQ>
		<!--
<TTRAINTRNER>
			<PARENT>MGROUP.GROUPID</PARENT>
			<PARENT>MGROUP.COMPANYID</PARENT>
			<CHILD>TTRAINTRNER.EMP_GROUP</CHILD>
			<CHILD>TTRAINTRNER.COMPANYID</CHILD>
		</TTRAINTRNER>
		-->
		<TTRAINTRNEE>
			<PARENT>MGROUP.GROUPID</PARENT>
			<PARENT>MGROUP.COMPANYID</PARENT>
			<CHILD>TTRAINTRNEE.EMP_GROUP</CHILD>
			<CHILD>TTRAINTRNEE.COMPANYID</CHILD>
		</TTRAINTRNEE>
		<TREQUEST>
			<PARENT>MGROUP.GROUPID</PARENT>
			<PARENT>MGROUP.COMPANYID</PARENT>
			<CHILD>TREQUEST.EMP_GROUP</CHILD>
			<CHILD>TREQUEST.COMPANYID</CHILD>
		</TREQUEST>
		<HTRAINTRNEE>
			<PARENT>MGROUP.GROUPID</PARENT>
			<PARENT>MGROUP.COMPANYID</PARENT>
			<CHILD>HTRAINTRNEE.EMP_GROUP</CHILD>
			<CHILD>HTRAINTRNEE.COMPANYID</CHILD>
		</HTRAINTRNEE>
		<MEMPL_MOVEMENT>
			<PARENT>MGROUP.GROUPID</PARENT>
			<PARENT>MGROUP.COMPANYID</PARENT>
			<CHILD>MEMPL_MOVEMENT.EMP_GROUP</CHILD>
			<CHILD>MEMPL_MOVEMENT.COMPANYID</CHILD>
		</MEMPL_MOVEMENT>
		<MEMPL_LOAN mode="0">
			<PARENT>MGROUP.GROUPID</PARENT>
			<PARENT>MGROUP.COMPANYID</PARENT>
			<CHILD>MEMPL_LOAN.BUSINESS_TYPE</CHILD>
			<CHILD>MEMPL_LOAN.COMPANYID</CHILD>
		</MEMPL_LOAN>
		<TEMPMOVE>
			<PARENT>MGROUP.GROUPID</PARENT>
			<PARENT>MGROUP.COMPANYID</PARENT>
			<CHILD>TEMPMOVE.EMP_GROUP</CHILD>
			<CHILD>TEMPMOVE.COMPANYID</CHILD>
		</TEMPMOVE>
		<!--
<MCANDIDATERE>
			<PARENT>MGROUP.GROUPID</PARENT>
			<PARENT>MGROUP.COMPANYID</PARENT>
			<CHILD>MCANDIDATERE.EMP_GROUP</CHILD>
			<CHILD>MCANDIDATERE.COMPANYID</CHILD>
		</MCANDIDATERE>
		-->
		<TTIME_HISTORY1>
			<PARENT>MGROUP.GROUPID</PARENT>
			<PARENT>MGROUP.COMPANYID</PARENT>
			<CHILD>TTIME_HISTORY1.EMP_GROUP</CHILD>
			<CHILD>TTIME_HISTORY1.COMPANYID</CHILD>
		</TTIME_HISTORY1>
		<TTIME_CURRENT1>
			<PARENT>MGROUP.GROUPID</PARENT>
			<PARENT>MGROUP.COMPANYID</PARENT>
			<CHILD>TTIME_CURRENT1.EMP_GROUP</CHILD>
			<CHILD>TTIME_CURRENT1.COMPANYID</CHILD>
		</TTIME_CURRENT1>
		<TTIME_CURRENT>
			<PARENT>MGROUP.GROUPID</PARENT>
			<PARENT>MGROUP.COMPANYID</PARENT>
			<CHILD>TTIME_CURRENT.EMP_GROUP</CHILD>
			<CHILD>TTIME_CURRENT.COMPANYID</CHILD>
		</TTIME_CURRENT>
		<TCHSHIFT>
			<PARENT>MGROUP.GROUPID</PARENT>
			<PARENT>MGROUP.COMPANYID</PARENT>
			<CHILD>TCHSHIFT.EMP_GROUP</CHILD>
			<CHILD>TCHSHIFT.COMPANYID</CHILD>
		</TCHSHIFT>
		<TEXCHANGESHIFT>
			<PARENT>MGROUP.GROUPID</PARENT>
			<PARENT>MGROUP.COMPANYID</PARENT>
			<CHILD>TEXCHANGESHIFT.EMP_GROUP</CHILD>
			<CHILD>TEXCHANGESHIFT.COMPANYID</CHILD>
		</TEXCHANGESHIFT>
		<TFORGETCARD0>
			<PARENT>MGROUP.GROUPID</PARENT>
			<PARENT>MGROUP.COMPANYID</PARENT>
			<CHILD>TFORGETCARD0.EMP_GROUP</CHILD>
			<CHILD>TFORGETCARD0.COMPANYID</CHILD>
		</TFORGETCARD0>
		<TABSENT_M_DATE>
			<PARENT>MGROUP.GROUPID</PARENT>
			<PARENT>MGROUP.COMPANYID</PARENT>
			<CHILD>TABSENT_M_DATE.EMP_GROUP</CHILD>
			<CHILD>TABSENT_M_DATE.COMPANYID</CHILD>
		</TABSENT_M_DATE>
		<TABSENTDATE0>
			<PARENT>MGROUP.GROUPID</PARENT>
			<PARENT>MGROUP.COMPANYID</PARENT>
			<CHILD>TABSENTDATE0.EMP_GROUP</CHILD>
			<CHILD>TABSENTDATE0.COMPANYID</CHILD>
		</TABSENTDATE0>
		<TADJTIME0>
			<PARENT>MGROUP.GROUPID</PARENT>
			<PARENT>MGROUP.COMPANYID</PARENT>
			<CHILD>TADJTIME0.EMP_GROUP</CHILD>
			<CHILD>TADJTIME0.COMPANYID</CHILD>
		</TADJTIME0>
		<TTIMETEMP>
			<PARENT>MGROUP.GROUPID</PARENT>
			<PARENT>MGROUP.COMPANYID</PARENT>
			<CHILD>TTIMETEMP.EMP_GROUP</CHILD>
			<CHILD>TTIMETEMP.COMPANYID</CHILD>
		</TTIMETEMP>
		<HADJBONUS>
			<PARENT>MGROUP.GROUPID</PARENT>
			<PARENT>MGROUP.COMPANYID</PARENT>
			<CHILD>HADJBONUS.EMP_GROUP</CHILD>
			<CHILD>HADJBONUS.COMPANYID</CHILD>
		</HADJBONUS>
		<TABSENT_NSTDA>
			<PARENT>MGROUP.GROUPID</PARENT>
			<PARENT>MGROUP.COMPANYID</PARENT>
			<CHILD>TABSENT_NSTDA.EMP_GROUP</CHILD>
			<CHILD>TABSENT_NSTDA.COMPANYID</CHILD>
		</TABSENT_NSTDA>
		<!--Nuiss Add Realtion 20-08/2551-->
		<TOT>
			<PARENT>MGROUP.GROUPID</PARENT>
			<PARENT>MGROUP.COMPANYID</PARENT>
			<CHILD>TOT.EMP_GROUP</CHILD>
			<CHILD>TOT.COMPANYID</CHILD>
		</TOT>
		<!--Nuiss Add Realtion 20-08/2551-->
		<TOT_M_DATE0>
			<PARENT>MGROUP.GROUPID</PARENT>
			<PARENT>MGROUP.COMPANYID</PARENT>
			<CHILD>TOT_M_DATE0.EMP_GROUP</CHILD>
			<CHILD>TOT_M_DATE0.COMPANYID</CHILD>
		</TOT_M_DATE0>
		<TOT1>
			<PARENT>MGROUP.GROUPID</PARENT>
			<PARENT>MGROUP.COMPANYID</PARENT>
			<CHILD>TOT1.EMP_GROUP</CHILD>
			<CHILD>TOT1.COMPANYID</CHILD>
		</TOT1>
		<!--Nuiss Add Realtion-->
		<TAPSTRAN>
			<PARENT>MGROUP.GROUPID</PARENT>
			<PARENT>MGROUP.COMPANYID</PARENT>
			<CHILD>TAPSTRAN.EMP_GROUP</CHILD>
			<CHILD>TAPSTRAN.COMPANYID</CHILD>
		</TAPSTRAN>
		<SIMHADJPOSITION rtablename="HADJPOSITION" mode="0">
			<PARENT>MGROUP.GROUPID</PARENT>
			<PARENT>MGROUP.COMPANYID</PARENT>
			<CHILD>SIMHADJPOSITION.EMP_GROUP</CHILD>
			<CHILD>SIMHADJPOSITION.COMPANYID</CHILD>
		</SIMHADJPOSITION>
		<SIMHADJPOSITION rtablename="HADJPOSITION" mode="0">
			<PARENT>V1MGROUP.GROUPID</PARENT>
			<PARENT>V1MGROUP.COMPANYID</PARENT>
			<CHILD>SIMHADJPOSITION.OLD_EMP_GROUP</CHILD>
			<CHILD>SIMHADJPOSITION.COMPANYID</CHILD>
		</SIMHADJPOSITION>
		<TLEAVE_SUMMARY mode="0">
			<PARENT>MGROUP.GROUPID</PARENT>
			<PARENT>MGROUP.COMPANYID</PARENT>
			<CHILD>TLEAVE_SUMMARY.EMP_GROUP</CHILD>
			<CHILD>TLEAVE_SUMMARY.COMPANYID</CHILD>
		</TLEAVE_SUMMARY>
		<TCHHOLIDAY mode="0">
			<PARENT>MGROUP.GROUPID</PARENT>
			<PARENT>MGROUP.COMPANYID</PARENT>
			<CHILD>TCHHOLIDAY.EMP_GROUP</CHILD>
			<CHILD>TCHHOLIDAY.COMPANYID</CHILD>
		</TCHHOLIDAY>
		<TCHANGESHIFT_NSTDA mode="0">
			<PARENT>MGROUP.GROUPID</PARENT>
			<PARENT>MGROUP.COMPANYID</PARENT>
			<CHILD>TCHANGESHIFT_NSTDA.EMP_GROUP</CHILD>
			<CHILD>TCHANGESHIFT_NSTDA.COMPANYID</CHILD>
		</TCHANGESHIFT_NSTDA>
		<TBORROW_EMP1 mode="0">
			<PARENT>MGROUP.GROUPID</PARENT>
			<PARENT>MGROUP.COMPANYID</PARENT>
			<CHILD>TBORROW_EMP1.EMP_GROUP</CHILD>
			<CHILD>TBORROW_EMP1.COMPANYID</CHILD>
		</TBORROW_EMP1>
		<VW_BOSSFDREPORT>
			<PARENT>MGROUP.GROUPID</PARENT>
			<PARENT>MGROUP.COMPANYID</PARENT>
			<CHILD>VW_BOSSFDREPORT.EMP_GROUP</CHILD>
			<CHILD>VW_BOSSFDREPORT.COMPANYID</CHILD>
		</VW_BOSSFDREPORT>
		<TTRAINREQTRNEE>
			<PARENT>MGROUP.GROUPID</PARENT>
			<PARENT>MGROUP.COMPANYID</PARENT>
			<CHILD>TTRAINREQTRNEE.EMP_GROUP</CHILD>
			<CHILD>TTRAINREQTRNEE.COMPANYID</CHILD>
		</TTRAINREQTRNEE>
		<TOT_MREQUEST0>
			<PARENT>MGROUP.GROUPID</PARENT>
			<PARENT>MGROUP.COMPANYID</PARENT>
			<CHILD>TOT_MREQUEST0.EMP_GROUP</CHILD>
			<CHILD>TOT_MREQUEST0.COMPANYID</CHILD>
		</TOT_MREQUEST0>
		<TOT_MPAYMENT0>
			<PARENT>MGROUP.GROUPID</PARENT>
			<PARENT>MGROUP.COMPANYID</PARENT>
			<CHILD>TOT_MPAYMENT0.EMP_GROUP</CHILD>
			<CHILD>TOT_MPAYMENT0.COMPANYID</CHILD>
		</TOT_MPAYMENT0>
		<TEXTEND>
			<PARENT>MGROUP.GROUPID</PARENT>
			<PARENT>MGROUP.COMPANYID</PARENT>
			<CHILD>TEXTEND.EMP_GROUP</CHILD>
			<CHILD>TEXTEND.COMPANYID</CHILD>
		</TEXTEND>
	</RELATION>
</MGROUP>
